#! /bin/sh

main() {

##### 引数取得 #####
PRODUCT_NAME=$1
PRODUCT_VER=$2

##### バージョンチェック #####
INSTALLED_VER=`sh GetInstalledProductVersion.sh "${PRODUCT_NAME}" | grep -F '[java]' | awk '{print $3;}'`
if [ "${INSTALLED_VER}" = "NOT_INSTALLED" ]; then
	echo ${PRODUCT_NAME}は、インストールされていません。
	exit 1
fi
if [ "${INSTALLED_VER}" = "${PRODUCT_VER}" ]; then
	echo "${PRODUCT_NAME}は、最新版がインストールされています。(Ver.${INSTALLED_VER})"
	exit 1
fi
if [ "${INSTALLED_VER}" = "0.9.9" ]; then
	echo "処理なし" > /dev/nul
elif [ "${INSTALLED_VER}" = "1.0.0" ]; then
	echo "処理なし" > /dev/nul
else
	echo "${PRODUCT_NAME}は、アップデート対象のバージョンではありません。(Ver.${INSTALLED_VER})"
	exit 1
fi

##### アップデート #####
echo "${PRODUCT_NAME}のアップデート処理をします。(Ver.${INSTALLED_VER} -> Ver.${PRODUCT_VER})"

}

main $*
